| Home | Libraries | People | FAQ | More

## Struct _self

boost::type_erasure::_self — The default placeholder.

## Synopsis

    // In header: <boost/type_erasure/placeholder.hpp>

    struct _self : public boost::type_erasure::placeholder {
    };

## Description

_self is the default placeholder used by any. It should be used as a default by most concepts, so using concepts with no explicit arguments will "just work" as much as possible.